# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp_StackIteratorOfStackOfGeneralExpression Class Reference

`#include <ExprIntrp_StackIteratorOfStackOfGeneralExpression.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | ExprIntrp_StackIteratorOfStackOfGeneralExpression ()
Standard_EXPORT | ExprIntrp_StackIteratorOfStackOfGeneralExpression (const ExprIntrp_StackOfGeneralExpression &S)
Standard_EXPORT void | Initialize (const ExprIntrp_StackOfGeneralExpression &S)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const Handle_Expr_GeneralExpression & | Value () const

## Private Attributes

Standard_Address | current

## Constructor & Destructor Documentation

Standard_EXPORT ExprIntrp_StackIteratorOfStackOfGeneralExpression::ExprIntrp_StackIteratorOfStackOfGeneralExpression | ( |  | ) |

Standard_EXPORT ExprIntrp_StackIteratorOfStackOfGeneralExpression::ExprIntrp_StackIteratorOfStackOfGeneralExpression | ( | const ExprIntrp_StackOfGeneralExpression & | S | ) |

## Member Function Documentation

Standard_EXPORT void ExprIntrp_StackIteratorOfStackOfGeneralExpression::Initialize | ( | const ExprIntrp_StackOfGeneralExpression & | S | ) |

Standard_Boolean ExprIntrp_StackIteratorOfStackOfGeneralExpression::More | ( |  | ) | const

Standard_EXPORT void ExprIntrp_StackIteratorOfStackOfGeneralExpression::Next | ( |  | ) |

void ExprIntrp_StackIteratorOfStackOfGeneralExpression::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ExprIntrp_StackIteratorOfStackOfGeneralExpression::operator new | ( | size_t | size | ) | `[inline]`

void* ExprIntrp_StackIteratorOfStackOfGeneralExpression::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Expr_GeneralExpression& ExprIntrp_StackIteratorOfStackOfGeneralExpression::Value | ( |  | ) | const

## Field Documentation

Standard_Address ExprIntrp_StackIteratorOfStackOfGeneralExpression::current `[private]`

The documentation for this class was generated from the following file:

- ExprIntrp_StackIteratorOfStackOfGeneralExpression.hxx